/*
 * Reset.
 */
*,
*::after,
*::before {
	box-sizing: inherit;
}

* {
	font: inherit;
}

html,
body,
div,
span,
applet,
object,
iframe,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video,
hr {
	margin: 0;
	padding: 0;
	border: 0;
}

html {
	box-sizing: border-box;
	scroll-behavior: smooth;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
main,
form legend {
	display: block;
}

ol,
ul,
menu {
	list-style: none;
}

blockquote,
q {
	quotes: none;
}

button,
input,
textarea,
select {
	margin: 0;
}

img {
	max-width: 100%;
	height: auto;
}